%global apiver 1.0

%global cairo_version 1.10.0
%global libsigc_version 2.5.1

Name:           cairomm
Version:        1.12.0
Release:        10
Summary:        C++ API for the cairo graphics library
License:        LGPLv2+
URL:            http://www.cairographics.org
Source:         http://www.cairographics.org/releases/%{name}-%{version}.tar.gz

BuildRequires:  cairo-devel >= %{cairo_version}
BuildRequires:  libsigc++20-devel >= %{libsigc_version}
BuildRequires:  perl, perl(Getopt::Long), pkgconfig

Requires:       cairo%{?_isa} >= %{cairo_version}
Requires:       libsigc++20%{?_isa} >= %{libsigc_version}

%description
Cairo graphics library API, provides c++ developers cairo interfaces including
of Standard Template Library.

%package        devel
Summary:        Header files when using %{name} to develop program
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
Cairo graphics library API, provides c++ developers cairo interfaces including
of Standard Template Library.
This package contains the libraries and header files needed for
developing %{name} applications.

%package_help

%prep
%autosetup -p1

%build
%configure --disable-static
%make_build

%install
%make_install

%delete_la

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%license COPYING
%doc AUTHORS README NEWS
%{_libdir}/lib*.so.*

%files devel
%doc ChangeLog
%{_includedir}/%{name}-%{apiver}
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_libdir}/%{name}-%{apiver}

%files help 
%doc %{_datadir}/doc/%{name}-%{apiver}/
%doc %{_datadir}/devhelp/

%changelog

* Sun Dec 1 2019  jiaxiya <jiaxiyajiaxiya@168.com> - 1.12.0-10
- Package init
